package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class ParticipantList implements Serializable {

    @SerializedName("userid")
    @Expose
    private String userid;
    @SerializedName("is_attendance")
    @Expose
    private String isAttendance;
    @SerializedName("remarks")
    @Expose
    private String remarks;
    @SerializedName("score")
    @Expose
    private String score;
    @SerializedName("assessment_score")
    @Expose
    private String assessmentScore;
    @SerializedName("smpin")
    @Expose
    private String smpin;
    @SerializedName("name")
    @Expose
    private String name;
    @SerializedName("dealer_name")
    @Expose
    private String dealerName;
    @SerializedName("creatorid")
    @Expose
    private String creatorid;
    @SerializedName("is_edit")
    @Expose
    private String isEdit;
    @SerializedName("is_delete")
    @Expose
    private String isDelete;
    @SerializedName("is_created")
    @Expose
    private String isCreated;

    //profile_photo
    @SerializedName("profile_photo")
    @Expose
    private String profile_photo;

    private String uploadPhoto;
    private String day;
    private String ispresent;
    private String manualAttendanceReason;
    private String absenceReason;
    private String cleckDay;

    private String enterScore, comment;

    public String getEnterScore() {
        return enterScore;
    }

    public void setEnterScore(String enterScore) {
        this.enterScore = enterScore == null ? "" : enterScore;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment == null ? "" : comment;
    }

    public String getCleckDay() {
        return cleckDay;
    }

    public void setCleckDay(String cleckDay) {
        this.cleckDay = cleckDay;
    }

    private final static long serialVersionUID = 5920386584828312924L;

    public String getUploadPhoto() {
        return uploadPhoto;
    }

    public void setUploadPhoto(String uploadPhoto) {
        this.uploadPhoto = uploadPhoto;
    }

    public String getDay() {
        return day;
    }

    public void setDay(String day) {
        this.day = day;
    }

    public String getIspresent() {
        return ispresent;
    }

    public void setIspresent(String ispresent) {
        this.ispresent = ispresent;
    }


    public String getManualAttendanceReason() {
        return manualAttendanceReason;
    }

    public void setManualAttendanceReason(String manualAttendanceReason) {
        this.manualAttendanceReason = manualAttendanceReason;
    }

    public String getAbsenceReason() {
        return absenceReason;
    }

    public void setAbsenceReason(String absenceReason) {
        this.absenceReason = absenceReason;
    }


    public String getProfile_photo() {
        return profile_photo;
    }

    public void setProfile_photo(String profile_photo) {
        this.profile_photo = profile_photo;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }

    public String getIsAttendance() {
        return isAttendance;
    }

    public void setIsAttendance(String isAttendance) {
        this.isAttendance = isAttendance;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score;
    }

    public String getAssessmentScore() {
        return assessmentScore;
    }

    public void setAssessmentScore(String assessmentScore) {
        this.assessmentScore = assessmentScore;
    }

    public String getSmpin() {
        return smpin;
    }

    public void setSmpin(String smpin) {
        this.smpin = smpin;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDealerName() {
        return dealerName;
    }

    public void setDealerName(String dealerName) {
        this.dealerName = dealerName;
    }

    public String getCreatorid() {
        return creatorid;
    }

    public void setCreatorid(String creatorid) {
        this.creatorid = creatorid;
    }

    public String getIsEdit() {
        return isEdit;
    }

    public void setIsEdit(String isEdit) {
        this.isEdit = isEdit;
    }

    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete;
    }

    public String getIsCreated() {
        return isCreated;
    }

    public void setIsCreated(String isCreated) {
        this.isCreated = isCreated;
    }

}